List vault folders
curl --request GET \
--url https://api.fanvue.com/vault/folders \
--header 'Authorization: Bearer <token>' \
--header 'X-Fanvue-API-Version: <x-fanvue-api-version>'import requests
url = "https://api.fanvue.com/vault/folders"
headers = {
"X-Fanvue-API-Version": "<x-fanvue-api-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-Fanvue-API-Version': '<x-fanvue-api-version>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.fanvue.com/vault/folders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"name": "My Photos",
"createdAt": "2025-01-15T10:30:00.000Z",
"mediaCount": 42
},
{
"name": "Videos",
"createdAt": "2025-01-16T14:20:00.000Z",
"mediaCount": 15
}
],
"pagination": {
"page": 1,
"size": 20,
"hasMore": false
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>",
"message": "<string>",
"nextVersion": "<string>"
}{
"error": "<string>"
}Vault
List vault folders
Returns a paginated list of folders in the authenticated user’s vault.
GET
/
vault
/
folders
List vault folders
curl --request GET \
--url https://api.fanvue.com/vault/folders \
--header 'Authorization: Bearer <token>' \
--header 'X-Fanvue-API-Version: <x-fanvue-api-version>'import requests
url = "https://api.fanvue.com/vault/folders"
headers = {
"X-Fanvue-API-Version": "<x-fanvue-api-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-Fanvue-API-Version': '<x-fanvue-api-version>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.fanvue.com/vault/folders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"name": "My Photos",
"createdAt": "2025-01-15T10:30:00.000Z",
"mediaCount": 42
},
{
"name": "Videos",
"createdAt": "2025-01-16T14:20:00.000Z",
"mediaCount": 15
}
],
"pagination": {
"page": 1,
"size": 20,
"hasMore": false
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>",
"message": "<string>",
"nextVersion": "<string>"
}{
"error": "<string>"
}Required scope
read:media— Access media files, images, videos, and other content assets.
Authorizations
OAuth 2.0 access token, presented as a JWT bearer token in the Authorization header. Obtain a token via the authorization-code flow; the scopes granted to the token determine which operations it may call.
Headers
API version to use for the request
Example:
"2025-06-26"
Query Parameters
Page number to retrieve (starts from 1)
Required range:
x >= 1Number of items to return per page (1-50, default: 15)
Required range:
1 <= x <= 50Case-insensitive substring match on media name. Returns only folders that contain at least one matching media item.
Was this page helpful?